Qt 5.6 | Qt Widgets | C++ Classes | QWidget

Qt 5.6.2 Reference Documentation

# Obsolete Members for QWidget

The following members of class QWidget are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Properties

- `(obsolete)` windowIconText : QString

## Public Functions

`(obsolete)` bool | isEnabledToTLW() const
`(obsolete)` bool | isTopLevel() const
`(obsolete)` QWidget * | topLevelWidget() const

## Property Documentation

### windowIconText : QString

This property holds the text to be displayed on the icon of a minimized window.

This property only makes sense for windows. If no icon text has been set, this accessor returns an empty string. It is only implemented on the X11 platform, and only certain window managers use this window property.

This property is deprecated.

Access functions:

QString | windowIconText() const
void | setWindowIconText(const QString &)

Notifier signal:

void | windowIconTextChanged(const QString &iconText)

See also windowIcon and windowTitle.

## Member Function Documentation

### bool QWidget::isEnabledToTLW() const

This function is deprecated. It is equivalent to isEnabled()

### bool QWidget::isTopLevel() const

Use isWindow() instead.

### QWidget *QWidget::topLevelWidget() const

Use window() instead.

### `[signal]` void QWidget::windowIconTextChanged(const QString &iconText)

This signal is emitted when the window's icon text has changed, with the new iconText as an argument.

This signal is deprecated.

This function was introduced in Qt 5.2.

Note: Notifier signal for property windowIconText.